## org.flexdock.plaf.resources
Class ResourceHandlerFactory

    java.lang.Object
      org.flexdock.plaf.resources.ResourceHandlerFactory

All Implemented Interfaces:
  XMLConstants

    public class ResourceHandlerFactory

extends java.lang.Object
implements XMLConstants

Author:
  Christopher Butler

Field Summary

Fields inherited from interface org.flexdock.plaf.XMLConstants
`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

Constructor Summary
`ResourceHandlerFactory()`

Method Summary
`static java.lang.String` `getPropertyHandler(java.lang.String propertyType)`
`static ResourceHandler` `getResourceHandler(java.lang.String handlerName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHandlerFactory

    public ResourceHandlerFactory()

Method Detail

### getResourceHandler

    public static ResourceHandler getResourceHandler(java.lang.String handlerName)

### getPropertyHandler

    public static java.lang.String getPropertyHandler(java.lang.String propertyType)